<?
title();

if (isset($user))
mysql_query("UPDATE `notification` SET `read` = '1' WHERE `type` = 'guest' AND `id_user` = '$user[id]'");

/*
================================
Модуль жалобы на пользователя
и его сообщение либо контент
в зависимости от раздела
================================
*/
if (isset($_GET['spam'])  && isset($user))
{
$mess = mysql_fetch_assoc(mysql_query("SELECT * FROM `guest` WHERE `id` = '".intval($_GET['spam'])."' limit 1"));
$spamer = get_user($mess['id_user']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'guest' AND `spam` = '".$mess['msg']."'"),0)==0)
{
if (isset($_POST['msg']))
{
if ($mess['id_user']!=$user['id'])
{
$msg=mysql_real_escape_string($_POST['msg']);

if (strlen2($msg)<3)$err='Укажите подробнее причину жалобы';
if (strlen2($msg)>1512)$err='Длина текста превышает предел в 512 символов';

if(isset($_POST['types'])) $types=intval($_POST['types']);
else $types='0'; 
if (!isset($err))
{
mysql_query("INSERT INTO `spamus` (`id_user`, `msg`, `id_spam`, `time`, `types`, `razdel`, `spam`) values('$user[id]', '$msg', '$spamer[id]', '$time', '$types', 'guest', '".my_esc($mess['msg'])."')");
$_SESSION['message'] = 'Заявка на рассмотрение отправлена'; 
header("Location: ?spam=$mess[id]&page=".intval($_GET['page'])."");
exit;
}
}
}
}
aut();
err();

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'guest'"),0)==0)
{
echo "<div class='mess'>Ложная информация может привести к блокировке ника. 
Если вас постоянно достает один человек - пишет всякие гадости, вы можете добавить его в черный список.</div>";
echo "<form class='nav1' method='post' action='?spam=$mess[id]&amp;page=".intval($_GET['page'])."'>\n";
echo "<b>Пользователь:</b> ";
echo " ".status($spamer['id'])."  ".group($spamer['id'])." <a href=\"/info.php?id=$spamer[id]\">$spamer[nick]</a>\n";
echo "".medal($spamer['id'])." ".online($spamer['id'])." (".vremja($mess['time']).")<br />";
echo "<b>Нарушение:</b> <font color='green'>".output_text($mess['msg'])."</font><br />";
echo "Причина:<br />\n<select name='types'>\n";
echo "<option value='1' selected='selected'>Спам/Реклама</option>\n";
echo "<option value='2' selected='selected'>Мошенничество</option>\n";
echo "<option value='3' selected='selected'>Оскорбление</option>\n";
echo "<option value='0' selected='selected'>Другое</option>\n";
echo "</select><br />\n";
echo "Комментарий:";
echo $tPanel."<textarea name=\"msg\"></textarea><br />";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}else{
echo "<div class='mess'>Жалоба на <font color='green'>$spamer[nick]</font> будет рассмотрена в ближайшее время.</div>";
}

echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='?page=".intval($_GET['page'])."'>Назад</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}
/*
==================================
The End
==================================
*/

include 'inc/admin_act.php';

	if (isset($_POST['refresh'])){
	header("Location: /guest/");
	exit;
	}

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

		/*
		==========================
		Уведомления об ответах
		==========================
		*/
		if (isset($user) && $respons==TRUE){
		$notifiacation=mysql_fetch_assoc(mysql_query("SELECT * FROM `notification_set` WHERE `id_user` = '".$ank_otv['id']."' LIMIT 1"));
			
			if ($notifiacation['komm'] == 1 && $ank_otv['id'] != $user['id'])
			mysql_query("INSERT INTO `notification` (`avtor`, `id_user`, `type`, `time`) VALUES ('$user[id]', '$ank_otv[id]', 'guest', '$time')");
		
		}



mysql_query("INSERT INTO `guest` (id_user, time, msg, cit) values('$user[id]', '$time', '".my_esc($msg)."', '$_SESSION[cit]')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."',  `rating_tmp` = '".($user['rating_tmp']+1)."' WHERE `id` = '$user[id]' LIMIT 1");

$_SESSION['cit'] = null;
$_SESSION['message']='Сообщение успешно добавлено';
header ("Location: ?");
}
}


err();
aut(); // форма авторизации

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


if (isset($user) && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood']<$time-300))
{
		if (isset($cit))
	{
		echo 'Будет процитировано сообщение';
		echo '<div class="cit">';
		echo group($c_ank['id']). ' <a href="/info.php?id=' . $c_ank['id'] . '">' . $c_ank['nick'] . '</a><br />' . output_text($cit['msg']) . '</div>';
		$_SESSION['cit'] = $cit['id'];
	}else{
		$_SESSION['cit'] = null;
	}
echo "<form method=\"post\" name='message' action=\"index.php?$passgen&amp;".$go_otv."\">";
if (is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
{
echo $tPanel . '<textarea name="msg">'.$respons_msg.'</textarea><br />';

}
echo '<input value="Отправить" type="submit" />';
echo "<input type='submit' name='refresh' value='Обновить' />";
echo "</form>";
}



echo "<table class='post'>";

if ($k_post==0)
{
echo "  <div class='mess'>\n";
echo "Нет сообщений\n";
echo "  </div>\n";
}
echo "  </div>\n";echo "  </div>\n";
$q=mysql_query("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

	$k_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `guest_glum` WHERE id_post = $post[id]"),0);
	



	/**
	* 
	* @var / если есть ляпы, то ставим минимальную высоту дива в 100пикс
	* 
	*/
	if ($k_p > 0)
	{
		$style = "min-height:100px;";
	}else{
		$style = null;
	}


/*-----------зебра-----------*/
if ($num==0)
{echo '<div class="nav1" style="' . $style . '">';
$num=1;
}elseif ($num==1)
{echo '<div class="nav2" style="' . $style . '">';
$num=0;}
/*---------------------------*/

	/**
	* 
	* @var / Выводим ляпы на пост 
	* 
	*/
	$l = mysql_query("SELECT * FROM `guest_glum` WHERE `id_post` = '$post[id]' ORDER by id ASC");
	
	while ($glum = mysql_fetch_assoc($l))
	{
		echo '<img src="img/' . $glum['dir'] . '/' . $glum['img'] . '.png" style="position: absolute; margin-left:' . $glum['margin_left'] . 'px;" />';
	}
	
if($user['ekonom']==0){
echo avatar($ank['id']).' ';
}else{
}

echo group($ank['id'])." <a href='/info.php?id=$ank[id]'>$ank[nick]</a>";
echo medal($ank['id']) . '  '. on_status($ank['id']) . online($ank['id']).' ('.vremja($post['time']).')<br />';

	
	if ($post['cit'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id` = '$post[cit]'"), 0) == 1)
	{
		$cit = mysql_fetch_assoc(mysql_query("SELECT * FROM `guest` WHERE `id` = '$post[cit]' limit 1"));
		$c_ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $cit[id_user] LIMIT 1"));
		echo '<div class="cit" style="background:#ffffff;">';
		echo group($c_ank['id']). ' <a href="/info.php?id=' . $c_ank['id'] . '">' . $c_ank['nick'] . '</a> <b>Цитата</b><br />' . output_text($cit['msg']) . '</div>';
	}


$postBan = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE (`razdel` = 'all' OR `razdel` = 'guest') AND `post` = '1' AND `id_user` = '$ank[id]' AND (`time` > '$time' OR `navsegda` = '1')"), 0);
if ($postBan == 0) // Блок сообщения
{	
echo output_text($post['msg']).'<br />';
}else{
	echo output_text($banMess).'<br />';
}
if (isset($user))echo " <a href='?response=$ank[id]'><u>Ответ</u></a><br /> ";

	/**
	* 
	* @var / Панель 
	* 
	*/
	if (isset($user))
	{

		echo "<font style='float:right;margin-top:-20px; margin-right:0px;'>";
		
		echo "<a href=\"?spam=$post[id]&amp;page=$page\"><img src='/style/icons/blicon.gif' alt='*' title='Это спам'></a> "; 
		
		if (isset($user) && $ank['id'] != $user['id'] && $ank['id'] != 0) {
     	 	 echo ' <a href="/plugins/treats/' . $post['id_user'] . '/guest/"><img src="/plugins/treats/icons/glass.png"></a> ';
   		 }
				echo "<a href=\"?cit=$post[id]&amp;page=$page\"><img src='/style/icons/quote.png' alt='*' title='Цитировать'></a> "; 
		
		if ($k_p > 0)echo '<a href="act.php?post=' . $post['id'] . '&amp;page=' . $page . '&amp;act=glum"><img src="img/view.png" alt="*" title="Посмотреть пост"></a> ';
		
		
		if ($ank['id']!=$user['id'])echo '<a href="glum.php?post=' . $post['id'] . '&amp;page=' . $page . '"><img src="img/tomate.png" alt="*" title="Заляпать пост"></a> ';
		
		if (user_access('guest_delete'))echo " <a href='delete.php?id=$post[id]'><img src='/style/icons/delete.gif' alt='*'></a>";

		echo '</font>';
	}

echo '</div>';	
}
echo '</table>';
?>